import FallbackComponent from './FallbackComponent.svelte';
export class NotionComponentProvider {
    map;
    fallBackComponent;
    constructor(map) {
        this.map = { ...map };
        this.fallBackComponent = FallbackComponent;
    }
    register(key, component) {
        this.map[key] = component;
    }
    registerAll(map) {
        this.map = { ...this.map, ...map };
    }
    resolve(key) {
        const target = this.map[key];
        if (target === undefined) {
            return FallbackComponent;
        }
        return target;
    }
}
export const defaultComponents = {};
export const defaultProvider = new NotionComponentProvider(defaultComponents);
